Bug 218974 - fence_ipmilan doesn't handle null passwords properly
Summary: fence_ipmilan doesn't handle null passwords properly
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Cluster Suite
Classification: Retired
Component: fence   
(Show other bugs)
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ryan O'Hara
QA Contact: Cluster QE
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-12-08 20:19 UTC by Matt Brodeur
Modified: 2009-10-12 14:40 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-12 14:40:16 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Matt Brodeur 2006-12-08 20:19:39 UTC
Description of problem:
If fence_ipmilan is called with a blank password (-p ''), it doesn't pass any
password setting to ipmitool.  This causes the agent to fail any attempted action.

Version-Release number of selected component (if applicable):
fence-1.32.25-1

How reproducible:
100%

Steps to Reproduce:
1. Run fence_ipmilan with a blank password, such as:
$ /sbin/fence_ipmilan -A password -a machinename -p '' -l administrator -o status
  
Actual results:
Getting status of IPMI:machinename...Chassis power = Unknown
Failed

Expected results:
Reports that Chassis Power is on/off/etc

Additional info:
Running with -v reveals the problem:
Getting status of IPMI:machinename...Spawning: '/usr/bin/ipmitool -I lan -H
machinename -U administrator -A password -v chassis power status'...

ipmitool needs to have "-P ''" in its command line or it will prompt for a
password interactively.

Comment 1 Jim Parsons 2006-12-20 14:06:55 UTC
Ryan - this agent used to work - this command line param must be new in a new
version of the ipmi package(s).  There are plenty of machines in westford to
test this with. Also, I can help you get going porbably with a phone call, if
you are new to ipmi.

Comment 2 Ryan O'Hara 2007-01-29 20:39:05 UTC
Fixed. If the fence_ipmilan agent does not get a password (or gets a null
password), the agent will append a " -P '' " onto the ipmitool command. This
should prevent it from prompting for a password.




Note You need to log in before you can comment on or make changes to this bug.